package com.njyunzhi.pet_identity.common;

public class Constants {
    public final static int STATUS_DELETE = -1;
    public final static int STATUS_READY = 0;
    public final static int STATUS_NORMAL = 1;


    // 客户端类型
    public final static String LOGIN_TYPE_ADMIN = "admin";
    public final static String LOGIN_TYPE_MINIAPP = "miniapp";

    // 用户角色
    public final static String USER_ADMIN = "admin";
    public final static String USER_AUDITOR = "auditor";
    public final static String USER_MAKER = "maker";

    // 申领方式
    public final static int APPLY_METHOD_AUTO = 1;  // 自主领取
    public final static int APPLY_METHOD_EXPRESS = 2;  // 快递

    // 支付状态
    public final static int PAY_STATUS_READY = 0;  // 未支付
    public final static int PAY_STATUS_PAYING = 1;  // 支付中
    public final static int PAY_STATUS_PAID = 2;  // 已支付

    // 审核状态
    public final static int AUDIT_STATUS_READY = 0;  // 未审核
    public final static int AUDIT_STATUS_PASSED = 1;  // 审核通过
    public final static int AUDIT_STATUS_REJECT = 2;  // 审核驳回

    // 发证(制卡)状态
    public final static int MAKE_STATUS_READY = 0;  // 待发放
    public final static int MAKE_STATUS_MADE = 1;  // 已发放

    // 流程状态
    public final static int WORKFLOW_STATUS_READY = 0;  // 提交申请(未支付)
    public final static int WORKFLOW_STATUS_PROCESSING = 1;  // 审批中
    public final static int WORKFLOW_STATUS_AUDIT = 2;  // 已审批
    public final static int WORKFLOW_STATUS_MADE = 3;  // 已发证
}
