package com.njyunzhi.pet_identity.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.pet_identity.entity.SysUser;
import com.njyunzhi.pet_identity.mapper.SysUserMapper;
import com.njyunzhi.pet_identity.service.ISysUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-05-24
 */
@Service
public class SysUserServiceImpl extends BaseServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Override
    public IPage<SysUser> getPagedBy(IPage<SysUser> pg, String userName) {
        return baseMapper.getPagedBy(pg, userName);
    }
}
